const TaskBase = require("../../task.base");
const system = require("../../../system");
var settings = require("../../../../config/settings");
class Taskalirpcagainpush extends TaskBase {
  constructor() {
    super(TaskBase.getServiceName(Taskalirpcagainpush));
    this.restclient = system.getObject("util.restClient");
    this.centerChannelUrl = settings.centerChannelUrl();
  }
  async beforeTask(params) {
    console.log("前置操作......", this.serviceName);
    //this.isThrough=true; 
    //console.log(this.cacheManager);
  }
  async subDoTask() {
    console.log("--------------");
    console.log("TestTask1.....");
    var obj = {
      "actionType": "Taskalirpcagainpush",
      "actionBody": {
        "limit": 100 //推送数据条数 默认100条
      }
    }
    try {
      var url = this.centerChannelUrl + "api/auth/taskapi/taskAliRpcAgainPush";
      var rtn = await this.restclient.execPost(obj, url);
      console.log(rtn);
      return rtn;
    } catch (error) {
      console.log(error);
      return null;
    }
  }
}
module.exports = Taskalirpcagainpush;